DSAParameters (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.params

## Class DSAParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.DSAParameters

- All Implemented Interfaces:
    CipherParameters

      public class DSAParameters
      extends java.lang.Object
      implements CipherParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSAParameters(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g)`
    `DSAParameters(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g, DSAValidationParameters params)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.math.BigInteger` | `getG()`
    `java.math.BigInteger` | `getP()`
    `java.math.BigInteger` | `getQ()`
    `DSAValidationParameters` | `getValidationParameters()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSAParameters

          public DSAParameters(java.math.BigInteger p,
                       java.math.BigInteger q,
                       java.math.BigInteger g)

    - #### DSAParameters

          public DSAParameters(java.math.BigInteger p,
                       java.math.BigInteger q,
                       java.math.BigInteger g,
                       DSAValidationParameters params)

  - ### Method Detail

    - #### getP

          public java.math.BigInteger getP()

    - #### getQ

          public java.math.BigInteger getQ()

    - #### getG

          public java.math.BigInteger getG()

    - #### getValidationParameters

          public DSAValidationParameters getValidationParameters()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`